Bug 157224 - [patch][maintainer-update] devel/libvirt: use PYTHON_VERSION in plist
[patch][maintainer-update] devel/libvirt: use PYTHON_VERSION in plist
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-21 01:10 UTC by jhelfman
Modified: 2011-05-28 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (835 bytes, patch)
2011-05-21 01:10 UTC, jhelfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhelfman 2011-05-21 01:10:08 UTC
Use python_version in plist
Builds cleanly in Tinderbox
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-05-21 12:05:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-05-22 12:42:54 UTC
Hi,

  Here's an updated patch including the following modifications:
  - Install libvirt.pc to libdata/pkgconfig
  - Use lib instead of LIB32DIR
  - Use PYTHON_SITELIBDIR instead of %%LIB32DIR%%/python2.7/site-packages
  - Use = instead of +=
  Do you agree with this one?
  Thanks.

Regards,
sunpoet

--- libvirt.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/libvirt/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- Makefile	20 May 2011 14:42:14 -0000	1.1
+++ Makefile	21 May 2011 18:10:28 -0000
@@ -15,7 +15,7 @@
 
 LICENSE=	LGPL3
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=--without-libssh2 \
+CONFIGURE_ARGS=	--without-libssh2 \
 		--without-sasl \
 		--without-yajl \
 		--without-avahi \
@@ -25,11 +25,12 @@
 		--without-netcf \
 		--without-network
 USE_GMAKE=	yes
+USE_GNOME=	gnomehack
 USE_LDCONFIG=	yes
 USE_PYTHON_BUILD=	yes
-PLIST_SUB+=	PORTVERSION="-${PORTVERSION}"
+PLIST_SUB=	PORTVERSION="-${PORTVERSION}"
 
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
 		gcrypt.17:${PORTSDIR}/security/libgcrypt \
 		xml2.5:${PORTSDIR}/textproc/libxml2 \
 		gnutls.40:${PORTSDIR}/security/gnutls
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/libvirt/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	20 May 2011 14:42:14 -0000	1.1
+++ pkg-plist	21 May 2011 18:10:28 -0000
@@ -27,18 +27,18 @@
 include/libvirt/libvirt-qemu.h
 include/libvirt/libvirt.h
 include/libvirt/virterror.h
-%%LIB32DIR%%/libvirt-qemu.a
-%%LIB32DIR%%/libvirt-qemu.la
-%%LIB32DIR%%/libvirt-qemu.so
-%%LIB32DIR%%/libvirt-qemu.so.9
-%%LIB32DIR%%/libvirt.a
-%%LIB32DIR%%/libvirt.la
-%%LIB32DIR%%/libvirt.so
-%%LIB32DIR%%/libvirt.so.9
-%%LIB32DIR%%/pkgconfig/libvirt.pc
-%%LIB32DIR%%/python2.7/site-packages/libvirt.py
-%%LIB32DIR%%/python2.7/site-packages/libvirtmod.la
-%%LIB32DIR%%/python2.7/site-packages/libvirtmod.so
+lib/libvirt-qemu.a
+lib/libvirt-qemu.la
+lib/libvirt-qemu.so
+lib/libvirt-qemu.so.9
+lib/libvirt.a
+lib/libvirt.la
+lib/libvirt.so
+lib/libvirt.so.9
+%%PYTHON_SITELIBDIR%%/libvirt.py
+%%PYTHON_SITELIBDIR%%/libvirtmod.la
+%%PYTHON_SITELIBDIR%%/libvirtmod.so
+libdata/pkgconfig/libvirt.pc
 libexec/libvirt_iohelper
 sbin/libvirtd
 share/augeas/lenses/libvirtd.aug
@@ -234,9 +234,8 @@
 %%NLS%%share/locale/zu/LC_MESSAGES/libvirt.mo
 @dirrmtry etc/logrotate.d
 @dirrm include/libvirt
-@dirrmtry %%LIB32DIR%%/pkgconfig
-@dirrm %%LIB32DIR%%/libvirt/connection-driver
-@dirrm %%LIB32DIR%%/libvirt
+@dirrm lib/libvirt/connection-driver
+@dirrm lib/libvirt
 @dirrm %%DOCSDIR%%%%PORTVERSION%%/html/html
 @dirrm %%DOCSDIR%%%%PORTVERSION%%/html
 @dirrm %%DOCSDIR%%%%PORTVERSION%%
--- libvirt.patch ends here ---

-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
	                     http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 3 jhelfman 2011-05-24 17:35:32 UTC
Hi Sunpoet,

I am fine with these change, however unsure of the reasoning behind using
gnomehack, although I see what this does. If gnomehack goes into this
update, I would also suggest adding a PORTREVISION, as not only does it
alter the way it is built, but also the way it is installed.

Beyond this, I would request updating the pkg-plist as well to include this:
(including in your suggested changes)

%%PYTHON_SITELIBDIR%%/libvirt.py
%%PYTHON_SITELIBDIR%%/libvirtmod.la
%%PYTHON_SITELIBDIR%%/libvirtmod.so
@dirrmtry %%PYTHON_SITELIBDIR%%
@dirrmtry %%PYTHON_LIBDIR%%

The reasoning for this- I am working on another port that I will be
submitting today that uses libvirt as a dependency, and on cleanup in
Tinderbox lib/python2.7/site-packages is 'leftover'. On further investigation
I found that this is coming from libvirt, so I see no harm in cleaning it up
if it is empty.

I've tested the above on the port I am working on, and libvirt, and it builds
and cleans up as expected in Tinderbox.

Many Thanks!
Jason

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-05-25 16:34:54 UTC
On Tue, May 24, 2011 at 09:35:32AM -0700, Jason Helfman wrote:
> Hi Sunpoet,
> 
> I am fine with these change, however unsure of the reasoning behind using
> gnomehack, although I see what this does. If gnomehack goes into this
> update, I would also suggest adding a PORTREVISION, as not only does it
> alter the way it is built, but also the way it is installed.
>
> Beyond this, I would request updating the pkg-plist as well to include this:
> (including in your suggested changes)
> 
> %%PYTHON_SITELIBDIR%%/libvirt.py
> %%PYTHON_SITELIBDIR%%/libvirtmod.la
> %%PYTHON_SITELIBDIR%%/libvirtmod.so
> @dirrmtry %%PYTHON_SITELIBDIR%%
> @dirrmtry %%PYTHON_LIBDIR%%
> 
> The reasoning for this- I am working on another port that I will be
> submitting today that uses libvirt as a dependency, and on cleanup in
> Tinderbox lib/python2.7/site-packages is 'leftover'. On further investigation
> I found that this is coming from libvirt, so I see no harm in cleaning it up
> if it is empty.

> I've tested the above on the port I am working on, and libvirt, and it builds
> and cleans up as expected in Tinderbox.
> 
> Many Thanks!
> Jason
> 
> -- 
> Jason Helfman
> System Administrator
> experts-exchange.com
> http://www.experts-exchange.com/M_4830110.html
> E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5

Hi,

.pc files should be installed to libdata/pkgconfig. That's what
gnomehack does. Yes, PORTREVISION should be bumped in this case.

I wonder why lib/python2.7/site-packages is leftover during deinstall
phase. This directory is generated by python27.

% grep site-packages /usr/ports/lang/python27/pkg-plist
%%PYTHON_LIBDIR%%/site-packages/README
@dirrm %%PYTHON_LIBDIR%%/site-packages

Would you please provide me the tinderbox log for further investigation?
Thank you.

Regards,
-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
	                     http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 5 jhelfman 2011-05-25 20:15:38 UTC
I've followed up with an email to sunpoet@ with the requested tinderbox
logs.

-jgh

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 6 jhelfman 2011-05-26 23:53:11 UTC
If confidence is high that this is coming from lang/python27 ( I concur),
this update really doesn't affect libvirt cleanup, specifically, so I am
okay with these changes.

Any package that uses libvirt as a dependency will obviously need to go
through a review, and this update shouldn't be held up in my humble opinion.

Thanks!
-jgh

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 7 dfilter freebsd_committer 2011-05-28 14:18:50 UTC
sunpoet     2011-05-28 13:18:35 UTC

  FreeBSD ports repository

  Modified files:
    devel/libvirt        Makefile pkg-plist 
  Log:
  - Install libvirt.pc to libdata/pkgconfig
  - Use lib instead of LIB32DIR
  - Respect PYTHON_SITELIBDIR: replace %%LIB32DIR%%/python2.7/site-packages
  - Use = instead of +=
  - Bump PORTREVISION for PLIST change
  
  PR:             ports/157224
  Submitted by:   Jason Helfman <jhelfman@experts-exchange.com> (maintainer)
  
  Revision  Changes    Path
  1.2       +5 -3      ports/devel/libvirt/Makefile
  1.2       +17 -16    ports/devel/libvirt/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-05-28 14:19:02 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!